/*
 * $Id: Parameters_print.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Front_end/Front_end/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {


#undef  FUNCTION
#define FUNCTION "Front_end::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_begin(Front_end,FUNCTION);

//     XML xml ("front_end");

//     xml.balise_open("front_end");
// //  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
//     xml.balise_close();

//     return xml.get_body(depth);

    std::string str = "";

    log_end(Front_end,FUNCTION);

    return str;
  };

#undef  FUNCTION
#define FUNCTION "Front_end::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::core::multi_front_end::front_end::Parameters & x)
  {
    log_begin(Front_end,FUNCTION);

    output_stream << x.print(0);
    
    log_end(Front_end,FUNCTION);

    return output_stream;
  };

}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
